#ifndef __SELFCARE_UDP_H__
#define __SELFCARE_UDP_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _selfcare_udp_handle_s
{
	int (*handle)(char *buff, int len);
}selfcare_udp_handle_s;

int selfcare_udp_init(void);

void selfcare_udp_uninit(void);

int selfcare_udp_reg(selfcare_udp_handle_s *handle);

int selfcare_udp_send(char *buf, short len);


#ifdef __cplusplus
}
#endif

#endif /* __SELFCARE_UDP_H__ */
